Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.sg
Class SGVideoChannel

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.std.comp.ComponentIdentifier
                  |
                  +--quicktime.std.comp.Component
                        |
                        +--quicktime.std.sg.SGChannel
                              |
                              +--quicktime.std.sg.VisualChannel
                                    |
                                    +--quicktime.std.sg.SGVideoChannel

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class SGVideoChannel
extends VisualChannel
implements quicktime.jdirect.QuickTimeLib

Assists in importing video into a movie. The SGChannel implements methods for a corresponding QuickTime ComponentInstance structure. Refer to SGChannel in QuickTime Components

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Constructor Summary
`SGVideoChannel(SequenceGrabber owner)` Creates a sequence grabber channel and assigns a channel component to the channel.

Method Summary
`void` | `digitizerChanged()` Allows you to notify the sequence grabber component whenever you change the configuration of a video channel's video digitizer.
`SGVideoCompressorInfo` | `getCompressor()` Get a channelŐs current image-compression parameters.
`int` | `getCompressorType()` Get the Video Compressor Type QuickTime::SGGetVideoCompressorType QuickTime::SGGetVideoCompressorType
`VideoDigitizer` | `getDigitizerComponent()` Allows you to determine the video digitizer component that is providing source video to a video channel component.
`float` | `getFrameRate()` The SGGetFrameRate function allows you to retrieve a video channelŐs frame rate for recording.
`ImageDescription` | `getImageDescription()` This method allows you to retrieve a music sample description from the SGChannel.
`QDRect` | `getSrcVideoBounds()` Allows you to determine the size of the source video boundary rectangle.
`QDRect` | `getVideoRect()` Allows you to determine the portion of the source video image that is to be captured.
`void` | `setCompressor(int depth, Compressor compressor, int spatialQuality, int temporalQuality, int keyFrameRate)` Set a channelŐs current image-compression parameters.
`void` | `setCompressor(int depth, int compressor, int spatialQuality, int temporalQuality, int keyFrameRate)` Deprecated. see setCompressor which takes a Compressor parameter
`void` | `setCompressorType(int compressorType)` Set the type of Video Compressor QuickTime::SGSetVideoCompressorType QuickTime::SGSetVideoCompressorType
`void` | `setDigitizerComponent(VideoDigitizer vdig)` Allows you to assign a video digitizer component to a video channel.
`void` | `setFrameRate(float frameRate)` The SGSetFrameRate function allows you to specify a video channelŐs frame rate for recording.
`void` | `setVideoRect(QDRect r)` Allows you to specify the portion of the source video image that is to be captured.

Methods inherited from class quicktime.std.sg.VisualChannel
`getBounds, getClip, getMatrix, setBounds, setClip, setMatrix`

Methods inherited from class quicktime.std.sg.SGChannel
`getDataSourceName, getDeviceList, getPlayFlags, getSampleDescription, getSequenceGrabber, getSettings, getTimeScale, getUsage, setDataSourceName, setDevice, setOutput, setPlayFlags, setSettings, settingsDialog, settingsDialog, setUsage`

Methods inherited from class quicktime.std.comp.Component
`count`

Methods inherited from class quicktime.std.comp.ComponentIdentifier
`find, find, getInfo, toString`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SGVideoChannel

    public SGVideoChannel(SequenceGrabber owner)
                   throws StdQTException

  Creates a sequence grabber channel and assigns a channel component to the channel. The channel component is responsible for providing digitized data to the sequence grabber component.
  QuickTime::SGNewChannel
Parameters:
  `owner` - specifies the sequence grabber component the channel is attached to.

Method Detail

### getImageDescription

    public final ImageDescription getImageDescription()
                                               throws QTException

  This method allows you to retrieve a music sample description from the SGChannel.

  Returns:
    a ImageDescription object.

### setCompressorType

    public void setCompressorType(int compressorType)
                           throws StdQTException

  Set the type of Video Compressor
  QuickTime::SGSetVideoCompressorType QuickTime::SGSetVideoCompressorType

  Parameters:
    `compressorType` - sets the type of compressor to use on the channel.

### getCompressorType

    public int getCompressorType()
                          throws StdQTException

  Get the Video Compressor Type
  QuickTime::SGGetVideoCompressorType QuickTime::SGGetVideoCompressorType

  Parameters:
    `compressorType` - sets the type of compressor to use on the channel.

### setCompressor

    public void setCompressor(int depth,
                              int compressor,
                              int spatialQuality,
                              int temporalQuality,
                              int keyFrameRate)
                       throws StdQTException

  Deprecated. see setCompressor which takes a Compressor parameter

  Set a channelŐs current image-compression parameters.
  QuickTime::SGSetVideoCompressor QuickTime::SGSetVideoCompressor

  Parameters:
    `depth` - Specifies the depth at which the image is likely to be viewed.
    `compressor` - Specifies the image compressor identifier.
    `spatialQuality` - Specifies the desired compressed image quality.
    `temporalQuality` - This parameter governs the level of compression you desire with respect to information between successive frames in the sequence.
    `keyFrameRate` - Specifies the maximum number of frames allowed between key frames.

### setCompressor

    public void setCompressor(int depth,
                              Compressor compressor,
                              int spatialQuality,
                              int temporalQuality,
                              int keyFrameRate)
                       throws StdQTException

  Set a channelŐs current image-compression parameters.
  QuickTime::SGSetVideoCompressor QuickTime::SGSetVideoCompressor

  Parameters:
    `depth` - Specifies the depth at which the image is likely to be viewed.
    `compressor` - Specifies the image compressor identifier.
    `spatialQuality` - Specifies the desired compressed image quality.
    `temporalQuality` - This parameter governs the level of compression you desire with respect to information between successive frames in the sequence.
    `keyFrameRate` - Specifies the maximum number of frames allowed between key frames.

### getCompressor

    public SGVideoCompressorInfo getCompressor()
                                        throws StdQTException

  Get a channelŐs current image-compression parameters.
  QuickTime::SGGetVideoCompressor QuickTime::SGGetVideoCompressor

  Parameters:
    `returns` - a SGVideoCompressorInfo object.

### getDigitizerComponent

    public VideoDigitizer getDigitizerComponent()

  Allows you to determine the video digitizer component that is providing source video to a video channel component.
  QuickTime::SGGetVideoDigitizerComponent QuickTime::SGGetVideoDigitizerComponent

  Returns:
    the Video Digitizer component or null if there is no video digitizer

### setDigitizerComponent

    public void setDigitizerComponent(VideoDigitizer vdig)
                               throws StdQTException

  Allows you to assign a video digitizer component to a video channel.
  QuickTime::SGSetVideoDigitizerComponent QuickTime::SGSetVideoDigitizerComponent

  Parameters:
    `vdig` - the digitizer component that identifies a connection to a video digitizer component.

### digitizerChanged

    public void digitizerChanged()
                          throws StdQTException

  Allows you to notify the sequence grabber component whenever you change the configuration of a video channel's video digitizer.
  QuickTime::SGVideoDigitizerChanged QuickTime::SGVideoDigitizerChanged

### setVideoRect

    public void setVideoRect(QDRect r)
                      throws StdQTException

  Allows you to specify the portion of the source video image that is to be captured.
  QuickTime::SGSetVideoRect QuickTime::SGSetVideoRect

  Parameters:
    `r` - the rectangle that defines the potion of the source video image to be captured.

### getVideoRect

    public QDRect getVideoRect()
                        throws StdQTException

  Allows you to determine the portion of the source video image that is to be captured.
  QuickTime::SGGetVideoRect QuickTime::SGGetVideoRect

  Returns:
    the rectangle that defines the portion of the source video being captured.

### getSrcVideoBounds

    public QDRect getSrcVideoBounds()
                             throws StdQTException

  Allows you to determine the size of the source video boundary rectangle.
  QuickTime::SGGetSrcVideoBounds QuickTime::SGGetSrcVideoBounds

  Returns:
    the rectangle that defines the size of the source video being captured.

### setFrameRate

    public void setFrameRate(float frameRate)
                      throws StdQTException

  The SGSetFrameRate function allows you to specify a video channelŐs frame rate for recording.

  Parameters:
    `frameRate` - Specifies the desired frame rate. Set this parameter to 0 to select the channelŐs default frame rate. Typically, this corresponds to the fastest rate that the channel can support.

### getFrameRate

    public float getFrameRate()
                       throws StdQTException

  The SGGetFrameRate function allows you to retrieve a video channelŐs frame rate for recording.

  Returns:
    the current frame rate

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD